%define name	webuserprefs
%define version	0.5
%define release	3mdk
%define webadminroot /var/www/html/admin

Summary:	Preferences editor for SpamAssassin
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Patch0:		webuserprefs-0.5-imega.diff.bz2
License:	GPL
URL:		http://webuserprefs.pipegrep.net/
Group:		System/Servers
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	spamassassin
Requires:	apache2-mod_php
Requires:	dcc
Requires:	perl-Razor-Agent
Requires:	php-mysql
Requires:	pyzor
BuildArch:	noarch

%description
WebUserPrefs is a PHP template designed for web-based editing of
SpamAssassin user preferences.
  
%prep

%setup -q
%patch0 -p1

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}/%{webadminroot}/%{name}/{auth,contrib/panels,panels}
install -m644 *.php %{buildroot}/%{webadminroot}/%{name}/
install -m644 auth/* %{buildroot}/%{webadminroot}/%{name}/auth/
install -m644 contrib/panels/* %{buildroot}/%{webadminroot}/%{name}/contrib/panels/
install -m644 panels/* %{buildroot}/%{webadminroot}/%{name}/panels/
echo "# place options here or in your mysql database" > %{buildroot}/%{webadminroot}/%{name}/user_prefs

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README
%config(noreplace) %attr(0666,apache,apache) %{webadminroot}/%{name}/user_prefs
%{webadminroot}/%{name}

%changelog

* Thu Apr 01 2004 Michael Scherer <misc@mandrake.org> 0.5-3mdk
- remove useless requires
- remove prefix
 
* Mon Aug 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.5-2mdk
- fix requires ;)

* Mon Aug 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.5-1mdk
- 0.5
- fixed a couple of bugs as of the network panel

* Thu Jul 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.4.2-4mdk
- fixed a stupid mistake in some of the panels

* Thu Jul 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.4.2-3mdk
- added P0 that contains this:
 - Cosmetic changes to 10_sensitivity
 - Added 25_learning
 - Added 26_bayes
 - Broke out 60_network into separate files and also added more
   functionality/options to them:
 - Added 60_dcc
 - Added 61_dns
 - Added 62_rbl
 - Added 63_razor
 - Added 64_pyzor
- added more requires (like a meta package...)

* Wed Jul 30 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.4.2-2mdk
- coded two drop in modules that will enable some other options to 
  be set using this web interface

* Sat Jul 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.4.2-1mdk
- initial cooker contrib
